require "menu"
require "bullet"
require "player"
require "enemies"
require "special"

function love.load()

	screenwidth = love.graphics.getWidth()
	screenheight = love.graphics.getHeight()

	--Fonts
	small = love.graphics.newFont(27)
	medium = love.graphics.newFont(37)
	large = love.graphics.newFont(54)

	--Mech
	load_menu = true

	gamestate = "menu"

	kills = 0

	spawnlim = 4


	love.graphics.setBackgroundColor(255,255,255)
end
function love.update(dt)
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
	menu_load()

	if gamestate == "menu" then
		button:check()
	end	
	if gamestate == "playing" then
		player:move(dt)
		bullet:move(dt)
		enemy:mech(dt)
		enemy:horde(dt)
		enemy:ow()
		powerup:mech(dt)
		power:mech(dt)
		special:move(dt)
		special:ow()
	end


end
function love.mousepressed(x,y)
	if gamestate == "menu" then
		button:click(x,y)
	end
end
function love.keypressed(key)
	if gamestate == "playing" then
		player:shoot(key)
	end
end
function love.draw()
	if gamestate == "menu" then
		button:draw()
	end
	if gamestate == "playing" then
		player:draw()
		bullet:draw()
		powerup:draw()
		enemy:draw()
		special:draw()

	end

end